Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xmltorng.document.relaxng.impl
Class GroupPatternImpl

    java.lang.Object
      xmltorng.document.relaxng.impl.NonEmptyPatternImpl
          xmltorng.document.relaxng.impl.GroupPatternImpl

All Implemented Interfaces:
  GroupPattern, NonEmptyPattern, Pattern

    public class GroupPatternImpl

extends NonEmptyPatternImpl
implements GroupPattern

Field Summary

Fields inherited from interface xmltorng.framework.document.relaxng.GroupPattern
`GROUP_CHOICE_EXCLUDING_EMPTY_PATTERN, GROUP_CHOICE_INCLUDING_EMPTY_PATTERN, GROUP_GROUP, GROUP_INTERLEAVE`

Fields inherited from interface xmltorng.framework.document.relaxng.NonEmptyPattern
`PATTERN_ATTRIBUTE, PATTERN_DATA, PATTERN_GROUP, PATTERN_LIST, PATTERN_REF, PATTERN_TEXT, PATTERN_VALUE`

Constructor Summary
`GroupPatternImpl(int groupType, NonEmptyPattern[] childPatterns)`

Method Summary
`NonEmptyPattern` | `getChild(int index)` Return the child pattern with index `index` `0 <= index < childCount`
`int` | `getChildCount()` Return the child pattern count.
`int` | `getGroupType()` Return the group type : one of the GROUP_* constants.
`int` | `getPatternType()` Return the pattern type.
`void` | `reorderChildren(java.util.Comparator comparator)`

Methods inherited from class xmltorng.document.relaxng.impl.NonEmptyPatternImpl
`canBeRepeated, isEmpty, setBeRepeated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface xmltorng.framework.document.relaxng.NonEmptyPattern
`canBeRepeated`

Methods inherited from interface xmltorng.framework.document.relaxng.Pattern
`isEmpty`

Constructor Detail

### GroupPatternImpl

    public GroupPatternImpl(int groupType,
                            NonEmptyPattern[] childPatterns)

Method Detail

### reorderChildren

    public void reorderChildren(java.util.Comparator comparator)

### getPatternType

    public int getPatternType()

  Description copied from interface: `NonEmptyPattern`
  Return the pattern type. Is one of the PATTERN_* constants.

  Specified by:
    `getPatternType` in interface `NonEmptyPattern`

### getGroupType

    public int getGroupType()

  Description copied from interface: `GroupPattern`
  Return the group type : one of the GROUP_* constants.

  Specified by:
    `getGroupType` in interface `GroupPattern`

### getChildCount

    public int getChildCount()

  Description copied from interface: `GroupPattern`
  Return the child pattern count. Is >= 1.

  Specified by:
    `getChildCount` in interface `GroupPattern`

### getChild

    public NonEmptyPattern getChild(int index)

  Description copied from interface: `GroupPattern`
  Return the child pattern with index `index` `0 <= index < childCount`

  Specified by:
    `getChild` in interface `GroupPattern`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD